openSUSE Security Update : opera (openSUSE-SU-2010:0540-1)

High Nessus Plugin ID 48431


The remote openSUSE host is missing a security update.


This update of opera fixes the following vulnerabilities :

- CVE-2010-2576: CVSS v2 Base Score: 6.8 (CWE-94):
unexpected changes in tab focus could be used to run programs from the Internet, as reported by Jakob Balle and Sven Krewitt of Secunia

- CVE-2010-3019: CVSS v2 Base Score: 9.3 (CWE-119): heap buffer overflow in HTML5 canvas could be used to execute arbitrary code, as reported by Kuzzcc

- CVE-2010-3020: CVSS v2 Base Score: 5.0 (CWE-264): news feed preview could subscribe to feeds without interaction, as reported by Alexios Fakos

- CVE-2010-3021: CVSS v2 Base Score: 4.3 (CWE-399): remote attackers could trigger a remote denial of service (CPU consumption and application hang) via an animated PNG image


Update the affected opera package.

See Also

Plugin Details

Severity: High

ID: 48431

File Name: suse_11_2_opera-100824.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2010/08/25

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:opera, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/08/24

Reference Information

CVE: CVE-2010-2576, CVE-2010-3019, CVE-2010-3020, CVE-2010-3021